ISDN card Teles 16.3 configuration

ISDN card Teles 16.3 configuration

Post by Marius Klu » Thu, 02 Jan 1997 04:00:00



Hi there,

I'm very new at ISDN stuff and I've got a few questions which the docs &
faqs didn't make clear to me.

I've recomiled a new kernel (2.0.27) with isdn supp.. I said Y to
support synchronous PPP (because my provider uses a Cisco which want
only sync ppp I believe). I said N to VJ (van Jacobsen header compress).
I said Y to support generic MP (because I want to use both ISDN channels).
I said Y to support audio.

I had to append "teles=0xd80,15,0x0,2,moi" to lilo.conf to identify I've
got a teles 16.3 instead of 16.0.

What else do I need? isdn4linux? isdn4isdn4linux? Hisax?

Thanks,

Marius

--

Marius Kluin

 
 
 

ISDN card Teles 16.3 configuration

Post by Robert Bergfor » Thu, 02 Jan 1997 04:00:00



> Hi there,
> I've recomiled a new kernel (2.0.27) with isdn supp.. I said Y to
> support synchronous PPP (because my provider uses a Cisco which want
> only sync ppp I believe). I said N to VJ (van Jacobsen header compress).
> I said Y to support generic MP (because I want to use both ISDN channels).
> I said Y to support audio.

I made the teles and isdn stuff as modules, and I have to insmod, rmmod
and insmod dthe again in order to get them working (some bug).

Before that, I installed isdn4k-utils-2.0 from ftp.franken.de.

Quote:> I had to append "teles=0xd80,15,0x0,2,moi" to lilo.conf to identify I've
> got a teles 16.3 instead of 16.0.

I have that in the insmod line:
'insmod teles io=0,9,0x280,2 teles_id=MyTeles'

Quote:

> What else do I need? isdn4linux? isdn4isdn4linux? Hisax?

As I said, you'll propably need isdn4k-utils-2.0, it provides an easy
way to make the ISDN device inodes (/dev/cuaiX and /dev/ttyIX).
Then just set up a simple pppd-script, and a chat script.

Robert Bergfors


 
 
 

ISDN card Teles 16.3 configuration

Post by Marcus Faur » Fri, 03 Jan 1997 04:00:00


: I've recomiled a new kernel (2.0.27) with isdn supp.. I said Y to
: support synchronous PPP (because my provider uses a Cisco which want
: only sync ppp I believe). I said N to VJ (van Jacobsen header compress).
: I said Y to support generic MP (because I want to use both ISDN channels).
: I said Y to support audio.

: What else do I need? isdn4linux? isdn4isdn4linux? Hisax?

It depends on what you want to do. If you are going to dial into the cisco,
you probably need syncPPP, so you should configure a ippp-device and start
ipppd. You can find ipppd in the isdn4kernel-utils at ftp.think.de

The HiSax-drivers are said to fix some bugs with Teles cards. Indeed I
remember problems with teles/ipppd crashing when dialling out, but I haven't
used the HiSax yet.

Doc Holiday

------------------------------------------------------------
| MS-DOS: Malformed System - (D)elete (O)verwrite (S)cream |
------------------------------------------------------------

 
 
 

ISDN card Teles 16.3 configuration

Post by Paul Slootm » Fri, 03 Jan 1997 04:00:00



>I'm very new at ISDN stuff and I've got a few questions which the docs &
>faqs didn't make clear to me.
[...]
>What else do I need? isdn4linux? isdn4isdn4linux? Hisax?

Check out my isdn4linux guide:

    http://www.wurtel.demon.nl/isdn4linux-howto.html

(only in dutch at the moment, sorry).

Paul Slootman
--
Murphy Software, Enschede, The Netherlands        | ... It beeped and said


 
 
 

ISDN card Teles 16.3 configuration

Post by Karsten Ke » Fri, 03 Jan 1997 04:00:00


: Hi there,
: I'm very new at ISDN stuff and I've got a few questions which the docs &
: faqs didn't make clear to me.
: I've recomiled a new kernel (2.0.27) with isdn supp.. I said Y to
: support synchronous PPP (because my provider uses a Cisco which want
: only sync ppp I believe). I said N to VJ (van Jacobsen header compress).
: I said Y to support generic MP (because I want to use both ISDN channels).
: I said Y to support audio.
: I had to append "teles=0xd80,15,0x0,2,moi" to lilo.conf to identify I've
: got a teles 16.3 instead of 16.0.
: What else do I need? isdn4linux? isdn4isdn4linux? Hisax?
isdn4linux-tools (see Documentation/isdn/README).
HiSax:
This depends on the version of the 16.3
If you have the PnP 16.3 (without dips/jumpers) you need HiSax with a
special patch and isapnptools. isdn and hisax have to be modules.
In this case ask me per email for more help.
HiSax and the special patch are on ftp.franken.de /pub/isdn4linux/HiSax
There are also the utils.

--
Dipl.Ing. Karsten Keil                        Microcontroller Developement

Any opinions in this posting are my own and not those of my present
or previous employers.

 
 
 

ISDN card Teles 16.3 configuration

Post by Peter Bollerm » Sat, 04 Jan 1997 04:00:00



>The HiSax-drivers are said to fix some bugs with Teles cards. Indeed I
>remember problems with teles/ipppd crashing when dialling out, but I haven't
>used the HiSax yet.

While we're on the subject, I found that isdnlog from the
isdn4linux-2.0 package doesn't seem to work with HiSax.
At least it doesn't register any call's anymore, no matter
how high I set the debug/verbose levels
(Basically I make no difference between HiSax or the original teles
driver)

Any thoughts?

 
 
 

ISDN card Teles 16.3 configuration

Post by Ralph Blume » Sun, 12 Jan 1997 04:00:00




> >The HiSax-drivers are said to fix some bugs with Teles cards. Indeed I
> >remember problems with teles/ipppd crashing when dialling out, but I haven't
> >used the HiSax yet.

> While we're on the subject, I found that isdnlog from the
> isdn4linux-2.0 package doesn't seem to work with HiSax.
> At least it doesn't register any call's anymore, no matter
> how high I set the debug/verbose levels
> (Basically I make no difference between HiSax or the original teles
> driver)

> Any thoughts?

This is the answer i got from Andreas Kool on this:
G: Bei Einsatz des HiSax musst du mindestens isdnlog-2.51 einsetzen.
E: Using Teles cards together with HiSax you need at least isdnlog-2.51.
I Patched my isdnlog to release 2.51 - and it works.

Ralph
----------------------------------------------------------------------
Ralph Blumer  /  Hauptstrasse 17  /  CH-9507 Stettfurt  /  Switzerland



----------------------------------------------------------------------

 
 
 

1. PPP with an ISDN card? (Teles 16.3 PnP)

I'm somewhat new to Linux (i've played with it before but never really
got serious until i managed to get a 2.1x kernel with support for my
isdn card) and I can't find a howto on PPP over isdn (unless it is for
ISDN modems using serial ports).

help!

this is what i get at boot-up (the isdn section):

ISDN subsystem Rev: 1.44/1.41/1.44/1.27/1.8
HiSax: Driver for Siemens chip set ISDN cards
HiSax: Version 2.1
HiSax: Revisions 1.15/1.10/1.10/1.30/1.8
HiSax: Total 1 card defined
HiSax: Card 1 Protocol EDSS1 Id=HiSax (0)
HiSax: Teles IO driver Rev. 1.11
Teles: 16.3 Byte at d80 is ff
HiSax: Card Teles 16.3 not installed !

I really don't get this!
suggestions are welcome, i'm completely in the dark here... someone save
me from having to use windoze...

2. HDIO_REQ fails on TMC850M/ST3655N

3. Teles 16.3 ISDN Card - Setup problem

4. IRQ release bug

5. Teles 16.3 ISDN Card - Setup

6. OSS 3.9.3n and XMMS 1.2.2 causing panic

7. Problem with ISDN - Teles 16.3 card

8. Where is ifconfig on sunsite?

9. Hisax module won't work(Teles 16.3 isdn card)!?!

10. Configure the TELES 16.3 ISDN card

11. Does Linux support the TELES BRI/16.3 ISDN card?

12. ne2000 card and Teles 16.3 card down work dogether

13. Teles 16.3 Pasive ISDN adapter